
package com.americamovil.dda._1.f.enviafactura;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.americamovil.dda._1.f.enviafactura package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _MTFacturas_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaFactura", "MT_Facturas");
    private final static QName _MTNotaCredito_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaFactura", "MT_NotaCredito");
    private final static QName _MTFacturasRes_QNAME = new QName("http://americamovil.com/DDA/1/F/EnviaFactura", "MT_Facturas_res");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.americamovil.dda._1.f.enviafactura
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DTFacturasRes }
     * 
     */
    public DTFacturasRes createDTFacturasRes() {
        return new DTFacturasRes();
    }

    /**
     * Create an instance of {@link DTNotaCredito }
     * 
     */
    public DTNotaCredito createDTNotaCredito() {
        return new DTNotaCredito();
    }

    /**
     * Create an instance of {@link DTNotaCredito.Registro }
     * 
     */
    public DTNotaCredito.Registro createDTNotaCreditoRegistro() {
        return new DTNotaCredito.Registro();
    }

    /**
     * Create an instance of {@link DTFactura }
     * 
     */
    public DTFactura createDTFactura() {
        return new DTFactura();
    }

    /**
     * Create an instance of {@link DTFactura.Factura }
     * 
     */
    public DTFactura.Factura createDTFacturaFactura() {
        return new DTFactura.Factura();
    }

    /**
     * Create an instance of {@link DTFacturasRes.Respuesta }
     * 
     */
    public DTFacturasRes.Respuesta createDTFacturasResRespuesta() {
        return new DTFacturasRes.Respuesta();
    }

    /**
     * Create an instance of {@link DTNotaCredito.Registro.Item }
     * 
     */
    public DTNotaCredito.Registro.Item createDTNotaCreditoRegistroItem() {
        return new DTNotaCredito.Registro.Item();
    }

    /**
     * Create an instance of {@link DTFactura.Factura.Posicion }
     * 
     */
    public DTFactura.Factura.Posicion createDTFacturaFacturaPosicion() {
        return new DTFactura.Factura.Posicion();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTFactura }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaFactura", name = "MT_Facturas")
    public JAXBElement<DTFactura> createMTFacturas(DTFactura value) {
        return new JAXBElement<DTFactura>(_MTFacturas_QNAME, DTFactura.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTNotaCredito }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaFactura", name = "MT_NotaCredito")
    public JAXBElement<DTNotaCredito> createMTNotaCredito(DTNotaCredito value) {
        return new JAXBElement<DTNotaCredito>(_MTNotaCredito_QNAME, DTNotaCredito.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link DTFacturasRes }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://americamovil.com/DDA/1/F/EnviaFactura", name = "MT_Facturas_res")
    public JAXBElement<DTFacturasRes> createMTFacturasRes(DTFacturasRes value) {
        return new JAXBElement<DTFacturasRes>(_MTFacturasRes_QNAME, DTFacturasRes.class, null, value);
    }

}
